Skip to main content

Get public certificate (RSA encryption key)

Fetch the public key used for encryption of Aadhaar, OTP, mobile and other fields which require encryption.

GET/abha/api/v3/profile/public/certificate

Authorizations

Authorizationbearer tokenRequired

The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Bearer prefix.

Headers

TIMESTAMPstringRequired

Current UTC timestamp in ISO-8601 format.

REQUEST-IDstringRequired

Unique UUID for every request.

Responses

200

Successful response

publicKeystring
encryptionAlgorithmstring
400

The 400 response code indicates a bad request

Error codes for this module

errorobject
error.codestring
error.messagestring
401

The 401 response code indicates an unauthorized request. In this context, it refers to the lack of proper authentication during the operation of the Invalid Credentials

Everything returns 401

codestring
messagestring
examplestring
500

Internal Server Error

An Internal Server Error (500) indicates that the server encountered an unexpected condition that prevented it from fulfilling the request.

Error codes for this module